.home-menu {
    display: flex;
    grid-template-columns: repeat(5, 1fr); 
    justify-content: center;
    width: 100%;
    /* margin: 0; */
    /* background: radial-gradient(circle, rgba(2,2,2,1) 25%, rgba(7,1,21,1) 100%);  */
}

.home-menu ul {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    list-style: none;
    width: 100%; 
    /* margin: 0; */
    padding: 0;
    border-radius: 3%;

}

/* .home-menu li {
    display: flex;
    text-align: center; 
    align-items: center;
    justify-content: center;
    height: 100%;    
    letter-spacing: 1px;
    font-size: xx-large;
    background: rgba(255, 255, 255, 0);
    transition: opacity 1s ease;
    opacity: 0;

} */


.home-menu li {
    display: flex;
    text-align: center; 
    align-items: center;
    justify-content: center;
    height: 100%;    
    letter-spacing: 1px;
    /* font-size: xx-large; */
    position: relative;
    transition: color 0.3s ease-in;
    border-radius: 10%;
}

.home-menu li::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    /* background: radial-gradient(circle, rgba(0, 255, 0, 0.55) 20%, transparent 99%); */
    opacity: 0; /* Initially hidden */
    transition: opacity 1s ease-out;
    border-radius: 3%;
    /* z-index: -1;  */
}

.home-menu li:hover::before {
    opacity: 1; /* Show the background on hover */
    background: radial-gradient(circle, rgba(0, 255, 0, 0.55) 10%, transparent 60%);
    color: rgba(0, 0, 0,0);
    border-radius: 3%;
}


.home-menu li:hover {
    color: rgb(0, 0, 0)
}

.home-menu a {
    display: block; 
    color: inherit;
    text-decoration: none;
    /* padding-top: 30%;
    padding-bottom: 30%; */
    padding: 20%;
    position: relative;
    z-index: 1;
}
